<?php

use Realtyna\Core\Utilities\SettingsField;

if (!defined('ABSPATH')) {
    exit;
}

SettingsField::select(array(
    'parent_name' => 'mls-on-the-fly-settings',
    'child_name' => 'pictures_size',
    'id' => 'mls-on-the-fly-settings-default-integration',
    'label' => __('Default Integration', 'realtyna-mls-on-the-fly'),
    'options' => [
        'default' => __('Higher quality', 'realtyna-mls-on-the-fly'),
        'full-size' => __('Higher quality', 'realtyna-mls-on-the-fly'),
        'thumbnail' => __('Thumbnail', 'realtyna-mls-on-the-fly'),
    ],
    'description' => 'Higher quality - Heavy Load , Thumbnail - Fast Load',
    'value' => $settings['pictures_size'] ?? 'thumbnail',
));

$checked = isset($settings['change_houzez_default_thumbnail_size']) && $settings['change_houzez_default_thumbnail_size'];
SettingsField::checkbox(array(
    'parent_name' => 'mls-on-the-fly-settings',
    'child_name' => 'change_houzez_default_thumbnail_size',
    'id' => 'mls-on-the-fly-settings-self-custom-post-type',
    'label' => __('If you want to change the thumbnail size of the Houzez carousel images activate this.', 'realtyna-mls-on-the-fly'),
    'value' => 'yes',
    'checked' => $checked,
    'description' => ''
));

if($checked){
    SettingsField::input(array(
        'parent_name' => 'mls-on-the-fly-settings',
        'child_name' => 'slider_pictures_height',
        'id' => 'mls-on-the-fly-settings-slider-pictures-height',
        'label' => __( 'Thumbnail size', 'realtyna-mls-on-the-fly' ),
        'type'  => 'number',
        'value' => $settings['slider_pictures_height'] ?? 250,
    ));

}

